// Define pins for steering control
const int DIR = 33; 
//  PWM spindle for speed control
const int PWM_PIN = 32; 

void setup() {
  //define the output
  pinMode(DIR, OUTPUT);//direction
  pinMode(PWM_PIN, OUTPUT);//speed
  pinMode(23, OUTPUT);//Led red
  pinMode(21, OUTPUT);//Led green
}

void loop() {
  // Turn the motor clockwise (forward) at medium speed
  digitalWrite(23, HIGH);//led
  digitalWrite(21, LOW);//led
  digitalWrite(DIR, HIGH);
  analogWrite(PWM_PIN, 127); // 50% work cycle (average speed)
  delay(3000); // Wait for 3 seconds

  // Stop the engine
  digitalWrite(23, LOW);//led
  digitalWrite(21, HIGH);//led
  digitalWrite(DIR, LOW);
  analogWrite(PWM_PIN, 0); // Stop PWM
  delay(3000); // Wait for 3 second

  // Running the engine at high speed
  digitalWrite(21, LOW);//led
  digitalWrite(23, HIGH);//led
  digitalWrite(DIR, HIGH);
  analogWrite(PWM_PIN, 255); // Full speed (100% duty cycle)
  delay(3000); // Wait for 3 seconds

  // Stop the engine
  digitalWrite(23, LOW);//led
  digitalWrite(21, HIGH);//led
  digitalWrite(DIR, HIGH);
  analogWrite(PWM_PIN, 0); // Stop PWM
  delay(3000); // Wait for 3 second
}
